"use strict";

this.name    = "Docked_HUDs";
this.version = "1.1";

    this.$flightHUD = "hud.plist";

    this.guiScreenChanged = function () {
        if (player.ship.docked) {
            this._selectDockedHUD();
        }
    }

    this.playerBoughtEquipment = function (equipment) {
        this._selectDockedHUD();
    }

    this._selectDockedHUD = function () {
     // if (!player.ship.docked) {
     //     return;
     // }
        if (guiScreen === "GUI_SCREEN_MARKET" &&
            player.ship.equipmentStatus("EQ_AI_TRADING_ASSISTANT") === "EQUIPMENT_OK") {
            return;
        } else if (player.ship.fuel < 7) {
            player.ship.hud = "docked-need-fuel-hud.plist";
            return;
        } else if (player.ship.missileCapacity > player.ship.missiles.length) {
            player.ship.hud = "docked-need-missiles-hud.plist";
            return;
        } else {
            player.ship.hud = "docked-need-nothing-hud.plist";
        }
    }

    this.shipWillLaunchFromStation = function () {
        if (this.$flightHUD) {
            player.ship.hud = this.$flightHUD;
        } else {
            delete this.shipWillLaunchFromStation;
        }
    }
/*
    this.shipLaunchedFromStation = function () {
        if (this.$flightHUD) {
            player.ship.hud = this.$flightHUD;
        } else {
            delete this.shipLaunchedFromStation;
        }
    }
*/